"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkix import Chem
from rdkix import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkix-pypi/rdkix-pypi/build/temp.macosx-11.0-arm64-cpython-310/rdkix_install/share/RDKix/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x103b29fc0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x103b2a050>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x103b2a0e0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x103b2a170>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x103b2a200>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x103b2a290>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x103b2a320>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x103b2a3b0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x103b2a440>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x103b2a4d0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x103b2a560>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x103b2a5f0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x103b2a680>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x103b2a710>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x103b2a7a0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x103b2a830>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x103b2a8c0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x103b2a950>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x103b2a9e0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x103b2aa70>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x103b2ab00>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x103b2ab90>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x103b2ac20>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x103b2acb0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x103b2add0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x103b2ad40>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x103b2ae60>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x103b2aef0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x103b2af80>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x103b2b010>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x103b2b0a0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x103b2b130>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x103b2b1c0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x103b2b250>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x103b2b2e0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x103b2b370>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x103b2b400>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x103b2b490>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x103b2b520>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x103b2b5b0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x103b2b640>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x103b2b6d0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x103b2b760>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x103b2b7f0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x103b2b880>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x103b2b910>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x103b2b9a0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x103b2ba30>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x103b2bac0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x103b2bb50>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x103b2bbe0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x103b2bc70>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x103b2bd00>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x103b2bd90>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x103b2be20>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x103b2beb0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x103b2bf40>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x103b58040>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x103b580d0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x103b58160>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x103b581f0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x103b58280>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x103b58310>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x103b583a0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x103b58430>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x103b585e0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x103b584c0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x103b58670>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x103b58700>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x103b58790>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x103b58820>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x103b588b0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x103b589d0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x103b58940>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x103b58a60>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x103b58af0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x103b58b80>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x103b58ca0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x103b58c10>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x103b58d30>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x103b58dc0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x103b58e50>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x103b58ee0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x103b58f70>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x103b59000>)]
name: str = 'fr_HOCCN'
